%define	emacsver	21.3
%define	xemacsver	21.4
%define	apelver		10.4-2m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

%define	csig_version	3.8
%define	weather_version	0.29
%define	fortune_version	0.4

Summary: SUMO package fo MOmonga - elisp utilites for Emacsen
Name: elisp-sumomo
Version: 1.1
Release: 10m
License: GPL
Group: Applications/Internet
#Source0: http://www.threeweb.ad.jp/~kshibata/c-sig/programs/c-sig.3.8.tar.gz
#NoSource: 0
Source0: c-sig-%{csig_version}.tar.gz
Source1: ftp://ftp.opaopa.org/pub/elisp/weather-%{weather_version}.tar.gz
NoSource: 1
Source2: ftp://ftp.opaopa.org/pub/elisp/fortune-%{fortune_version}.tar.gz
NoSource: 2
Source3: ftp://ftp.jpl.org/pub/elisp/develock.el.gz
Source10: sumomo-init.el
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen
Provides: elisp-kosumo 
Obsoletes: elisp-kosumo 

%description
SUMO package fo MOmonga (sumomo) include some elisp utilities for Emacsen.

%package -n sumomo-emacs
Group: Applications/Editors
Summary: su-sumo - SUMO MOmonga - elisp utilities for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Provides: c-sig-emacs, kosumo-emacs
Obsoletes: c-sig-emacs, kosumo-emacs

%description -n sumomo-emacs
SUMO package fo MOmonga (sumomo) include some elisp utilities for Emacsen.

%package -n sumomo-xemacs
Group: Applications/Editors
Summary: su-sumo - SUMO MOmonga - elisp utilities for Emacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo
Requires: apel-xemacs >= %{apelver}
Provides: c-sig-emacs, kosumo-xemacs
Obsoletes: c-sig-xemacs, kosumo-xemacs

%description -n sumomo-xemacs
SUMO package fo MOmonga (sumomo) include some elisp utilities for Emacsen.

%prep
%setup -q -c -a 0 -a 1 -a 2
(
	mkdir develock;
	cd develock;
	cp %{SOURCE3} .;
	gunzip develock.el.gz;
)

rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{e_sitedir}
mkdir -p %{buildroot}%{xe_sitedir}

ByteCompile() {
	if [ -d "$1" ]; then
		cd $1
	fi
	if [ -f Makefile ]; then
		make EMACS=emacs
		make EMACS=emacs LISPDIR=%{buildroot}%{e_sitedir} install
		make clean
		make XEMACS=xemacs
		make XEMACS=xemacs XLISPDIR=%{buildroot}%{xe_sitedir} xinstall
		rm -f Makefile
	else
		emacs -batch -q -no-site-file -f batch-byte-compile *.el
		install -m 644 *.el *.elc %{buildroot}%{e_sitedir}
		rm -f *.elc
		xemacs --vanilla -batch -f batch-byte-compile *.el
		install -m 644 *.el *.elc %{buildroot}%{xe_sitedir}
	fi
	rm -f *.el*
	cd ../
}

for i in \
	c-sig-%{csig_version} \
	weather-%{weather_version} \
	fortune-%{fortune_version} \
	develock
		do ByteCompile $i
done

%install
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/config-sample/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc c-sig-3.8 weather-0.29 fortune-0.4
%dir %{_datadir}/config-sample/%{name}
%config(noreplace) %{_datadir}/config-sample/%{name}/sumomo-init.el

%files -n sumomo-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/*

%files -n sumomo-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-lisp/*

%changelog
* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (20030112-3m)
- rebuild against emacs-21.3
- define apelver
- update apel version

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.1-9m)
- rebuild against elisp-apel-10.4-1m

* Sat Aug 17 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.1-8m)
- change package name from kosumo to sumomo
- rebuild against elisp-apel-10.3-21m

* Mon Jul 29 2002 smbd <smbd@momonga-linux.org>
- (1.1-7m)
- change source's URI

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.1-6k)
- rebuild against emacs-21.2

* Sun Mar 10 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.1-4k)
- Fixed a typo in 1.0-10k %changelog.

* Sun Mar 10 2002 Hidetomo Machi <mcHT@kondara.org>
- (1.1-2k)
- add develock.el
- use macro for each version

* Sat Jan 12 2002 Hidetomo Machi <mcHT@kondara.org>
- (1.0-10k)
- update weahter-0.29
- update fortune-0.4
- modify kosumo-init.el

* Sat Nov 10 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.0-8k)
- add configuration sample

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-6k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.0-4k)
- use BuildPreReq instead of BuildRequires

* Sun Oct 28 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.0-2k)
- Initial build
